Ask coding questions

← Back to all posts
Discordrb not installing
PandaTheBear (3)

I am trying to make a discord bott in Ruby, but discordrb won't install, with this error:

Fetching: ffi-1.15.0.gem (100%) ERROR: While executing gem ... (Gem::FilePermissionError) You don't have write permissions for the /var/lib/gems/2.5.0 directory.

Any ideas?
Thanks!

Comments
hotnewtop
CodingCactus (4367)

can you send your repl?

PandaTheBear (3)

@CodingCactus
All I did was gem install discordrb into the console. It wouldn't even let me get discordrb

CodingCactus (4367)

@PandaTheBear all you need to do is add gem "discordrb" in the Gemfile and then write require "discordrb" in your main.rb file